# applyStatMultiplierAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyStatMultiplierAbAttrs

- applyStatMultiplierAbAttrs(
  attrType: Constructor < StatMultiplierAbAttr >,
  pokemon: default ,
  stat: ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA ,
  statValue: NumberHolder ,
  simulated?: boolean,
  ...args: any[],
  ): void

  #### Parameters

  - attrType: Constructor < StatMultiplierAbAttr >
  - pokemon: default
  - stat: ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA
  - statValue: NumberHolder
  - simulated: boolean = false
  - ...args: any[]

  #### Returns void

  - Defined in src/data/ability.ts:5756